ode-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Douglas Scott Jackson (JIRA)" <j...@apache.org>
Subject [jira] Updated: (ODE-242) Usage of Xerces classes generates instability with regard to app servers
Date Thu, 14 Feb 2008 21:33:09 GMT

     [ https://issues.apache.org/jira/browse/ODE-242?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Douglas Scott Jackson updated ODE-242:
--------------------------------------

    Description: 
Application servers typically include a version of xerces in their system classpath that may
conflict with
the version used by Ode.  Altering the class loading hierarchy of an App Server such as weblogic
is
not supported.  This means that applications wishing to bundle or use Ode will have a tough
time
supporting different versions of the app server.  Applications may need to support multiple
versions
of application servers due to support policies.  Therefore using a technology like xerces
may inhibit
the adoption of Ode greatly.  In my experience higher level APIs (JAXB, JAXP, etc) are far
more likely
to work across multiple versions of servers.

An example of this is trying to use the current 1.2 version of Ode sources with Weblogic 9.2.



  was:
Application servers typically include a version of xerces in their system classpath may conflict
with
the version used by Ode.  Altering the class loading hierarchy of an App Server such as weblogic
is
not supported.  This means that applications wishing to bundle or use Ode will have a tough
time
supporting different versions of the app server.  Applications may need to support multiple
versions
of application servers due to support policies.  Therefore using a technology like xerces
may inhibit
the adoption of Ode greatly.  In my experience higher level APIs (JAXB, JAXP, etc) are far
more likely
to work across multiple versions of servers.

An example of this is trying to use the current 1.2 version of Ode sources with Weblogic 9.2.




> Usage of Xerces classes generates instability with regard to app servers
> ------------------------------------------------------------------------
>
>                 Key: ODE-242
>                 URL: https://issues.apache.org/jira/browse/ODE-242
>             Project: ODE
>          Issue Type: Bug
>          Components: BPEL Runtime
>    Affects Versions: 1.2
>         Environment: weblogic 9.2
>            Reporter: Douglas Scott Jackson
>
> Application servers typically include a version of xerces in their system classpath that
may conflict with
> the version used by Ode.  Altering the class loading hierarchy of an App Server such
as weblogic is
> not supported.  This means that applications wishing to bundle or use Ode will have a
tough time
> supporting different versions of the app server.  Applications may need to support multiple
versions
> of application servers due to support policies.  Therefore using a technology like xerces
may inhibit
> the adoption of Ode greatly.  In my experience higher level APIs (JAXB, JAXP, etc) are
far more likely
> to work across multiple versions of servers.
> An example of this is trying to use the current 1.2 version of Ode sources with Weblogic
9.2.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message